//
// $Id: ipfw-default.c,v 1.2 2001/11/16 02:54:21 mavetju Exp $
//

//
// Some default graphical functions for ipfw-graph.
//

#include <gtk/gtk.h>
#include "ipfw-graph.h"

void bg_drawing(void) {
    GdkGC *gc;
    GdkRectangle update_rect;

    //
    // drawing part
    //
    if (drawtable[current_page].pixmap!=NULL &&
	drawtable[current_page].area!=NULL) {
        update_rect.x=0;
        update_rect.y=0;
        update_rect.width=drawtable[current_page].area->allocation.width;
        update_rect.height=drawtable[current_page].area->allocation.height;

        gc=drawtable[current_page].area->style->bg_gc[GTK_WIDGET_STATE(drawtable[current_page].area)];

        gdk_draw_rectangle(drawtable[current_page].pixmap,gc,TRUE,
                            update_rect.x, update_rect.y,
                            update_rect.width, update_rect.height);
    }
}

void bg_bytes(void) {
    GdkGC *gc;
    GdkRectangle update_rect;
    int y;

    //
    // bytes part
    //
    if (bytes_pixmap!=NULL && bytes_area!=NULL) {
        update_rect.x=0;
        update_rect.y=0;
        update_rect.width=bytes_area->allocation.width;
        update_rect.height=bytes_area->allocation.height;

        gc = bytes_area->style->bg_gc[GTK_WIDGET_STATE (bytes_area)];

        gdk_draw_rectangle(bytes_pixmap,gc,TRUE,
                            update_rect.x, update_rect.y,
                            update_rect.width, update_rect.height);

        gc=bytes_area->style->black_gc;
        for (y=0;y<=10;y++) {
            gdk_draw_line(bytes_pixmap,gc,
                    1           ,y*ysize_bytes/10,
                    xsize,      y*ysize_bytes/10);
        }
    }
}
